This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 882225 - NetworkManager: migration to /etc/hostname, /etc/vconsole.conf, /etc/locale.conf
NetworkManager: migration to /etc/hostname, /etc/vconsole.conf, /etc/locale.conf
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 881785
  Show dependency treegraph
 
Reported: 2012-11-30 07:53 EST by Kay Sievers
Modified: 2012-12-06 23:26 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-06 23:26:47 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Kay Sievers 2012-11-30 07:53:31 EST
Fedora is migrating away from:
 /etc/sysconfig/network (the HOSTNAME=... setting)
 /etc/sysconfig/keyboard
 /etc/sysconfig/i18n
to:
 /etc/hostname
 /etc/vconsole.conf
 /etc/locale.conf

See the tracker bug 881785 for details.

We found at least:
  ifcfg-rh/plugin.c: svGetValue (network, "HOSTNAME", FALSE);

Please update the package for the new config files.

The old files are converted and deleted from the system at update time.
If reading the old files is still supported, please make sure they are
never created again.

Thanks!
Comment 1 Fedora Update System 2012-12-05 06:55:01 EST
NetworkManager-0.9.7.0-9.git20121004.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/NetworkManager-0.9.7.0-9.git20121004.fc18
Comment 2 Fedora Update System 2012-12-05 18:16:29 EST
Package NetworkManager-0.9.7.0-9.git20121004.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing NetworkManager-0.9.7.0-9.git20121004.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-19813/NetworkManager-0.9.7.0-9.git20121004.fc18
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2012-12-06 23:26:51 EST
NetworkManager-0.9.7.0-9.git20121004.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.